$border-radius-base: 0;
$border-radius-large: 0;
$border-radius-small: 0;
$navbar-margin-bottom: 0;

$green-color: #35a785;
$pink-color: #d90d5c;
$purple-color: #812f7e;
$yellow-color: #ef922a;
$light-gray-color: #e4e4e4;
$gray-color: #d7d7d7;
$dark-gray-color: #636363;

$btn-primary-bg: $green-color;
$btn-info-bg: $gray-color;
$link-color: $green-color;


@import '../bower_components/bootstrap-sass/assets/stylesheets/bootstrap';



input:-webkit-autofill,
input:hover:-webkit-autofill,
input:active:-webkit-autofill {
  -webkit-box-shadow: 0 0 0px 1000px white inset;
}

.btn {
  border: none;

  &.btn-info {
    color: $dark-gray-color;
  }
}

.form-group {
  label {
    color: $dark-gray-color;
  }
}

$sub-navbar-height: 39px;
$navbar-height: 62px;

$body-height: calc(100vh - #{$navbar-height} - #{$sub-navbar-height});

@mixin inputcolor($color) {
  border-color: $color;
}

@mixin inputchecked($color) {
  background: $color;
}

.navbar-brand img {
  max-height: 52px;
}

.main-container {
  height: $body-height;
  & #map {
    display: block;
    height: $body-height;
  }

  & .side-right-panel {
    overflow-y: scroll;
    position: fixed;
    width: 230px;
    right: 0;
    top: calc(#{$navbar-height} + #{$sub-navbar-height});
    background-color: #fff;
    z-index: 1;
    height: $body-height;
    padding: 15px 0;
    & .gray-box {
      background-color: #f0f0f0;
      padding: 15px;
      margin: -15px;
    }

    &.middle-screen {
      width: 50%;
      top: $navbar-height;
      height: calc(#{$body-height} + #{$sub-navbar-height});
      overflow-y: hidden;
      padding: 0;

      & .content {
        background-color: #f8f9fb;

        & .tab-content {
          padding: 15px 50px;
          height: $body-height;
          overflow-y: auto;
          margin-top: 4px;


          .panel.property-card {
            padding-bottom: 0;

            .property-contact {
              margin-top: 16px;
            }
          }

          .well {
            background: #fff;

            & > .btn-default {
              margin-top: 40px;
            }

          }

          .page-header {

            & .title-info {
              position: relative;
              & h3 {
                display: inline-block;
              }

              & .ordered {
                position: absolute;
                bottom: 0;
                right: 0;
              }
            }
          }

          .searches {

            .list-group-item {
              border-left: 8px solid #ddd;
              margin-bottom: 30px;
              position: relative;

              ul.search-filters {
                list-style: none;
                padding: 0;
                li {
                  display: inline-block;
                  margin: 3px 0;
                  font-size: 11px;
                  border-right: 1px solid $gray-color;
                  padding: 0 8px;
                  &:last-child {
                    border-right: none;
                  }
                }
              }

              &:hover,
              &:focus,
              &.active {
                background-color: #fff;
                border-left: 8px solid $green-color;
              }

              & .action-delete {
                position: absolute;
                right: -1px;
                top: -1px;
                height: 20px;
                width: 20px;
                border: 1px solid #ddd;

                &:hover,
                &:focus{
                  border: 1px solid $green-color;
                  color: $green-color;
                }
              }

              & .action-search {
                position: absolute;
                right: -1px;
                bottom: -1px;
                height: 20px;
                width: 20px;
                border: 1px solid #ddd;

                &:hover,
                &:focus{
                  border: 1px solid $green-color;
                  color: $green-color;
                }
              }
            }
          }
        }

        & .nav.nav-tabs {
          height: $sub-navbar-height;
          background-color: $light-gray-color;
          box-shadow: 0 3px 3px rgba(0, 0, 0, 0.2);

          & li {

            & .btn-default {
              padding: 10px 20px;
              border: none;
              color: $dark-gray-color;
              background-color: $light-gray-color;
              &:focus,
              &:hover {
                background-color: $dark-gray-color;
                color: $gray-color;
                outline: 0;
                box-shadow: inset 0 0 0 transparent;
              }
              &.dark {
                background-color: $gray-color;
                &:focus,
                &:hover {
                  background-color: $dark-gray-color;
                  color: $gray-color;
                  outline: 0;
                  box-shadow: inset 0 0 0 transparent;
                }
                &.active {
                  background-color: $dark-gray-color;
                  color: $gray-color;
                  box-shadow: 0 0 0 transparent;
                }
              }
            }

            & .save-search {
              margin: 5px 10px 3px;
              border: none;
              background-color: $green-color;
            }


            &:not(.pull-right):nth-child(n + 1):after {
              content: '';
              position: absolute;
              width: 1px;
              height: 50%;
              top: 50%;
              right: -1px;
              background-color: #f9f9f9;
              transform: translateY(-50%);
            }
            & a {
              border: none;
              padding: 10px 30px;
              color: #555;
            }

            &.active a:focus,
            &.active a {
              background-color: $light-gray-color;
              border: none;
              padding: 10px 30px;
              height: calc(#{$sub-navbar-height} + 4px);
              border-bottom: 4px solid $green-color;
            }
          }
        }

        height: calc(#{$body-height});
      }
    }
  }
}

.sub-navbar {
  position: relative;
  height: $sub-navbar-height;
  background-color: $light-gray-color;
  box-shadow: 0 3px 3px rgba(0, 0, 0, 0.2);
  z-index: 1;
  & .btn-default.sub-navbar-item {
    position: relative;
    display: inline-block;
    padding: 10px 20px;
    border: none;
    background-color: $gray-color;
    color: $dark-gray-color;
    &:focus,
    &:hover {
      background-color: $dark-gray-color;
      color: $gray-color;
      outline: 0;
      box-shadow: inset 0 0 0 transparent;
    }
    &.active {
      background-color: $dark-gray-color;
      color: $gray-color;
      box-shadow: 0 0 0 transparent;
      &:after {
        content: '';
        position: absolute;
        right: -5px;
        top: 50%;
        transform: translateY(-50%);
        border-left: 5px solid $dark-gray-color;
        border-top: 5px solid transparent;
        border-bottom: 5px solid transparent;
      }
    }
  }
  & .save-search {
    margin: 4px 10px 3px;
    border: none;
    background-color: $green-color;
  }
  & .btn-default {
    padding: 10px 20px;
    border: none;
    color: $dark-gray-color;
    background-color: $light-gray-color;
    &:focus,
    &:hover {
      background-color: $dark-gray-color;
      color: $gray-color;
      outline: 0;
      box-shadow: inset 0 0 0 transparent;
    }
    &.dark {
      background-color: $gray-color;
      &:focus,
      &:hover {
        background-color: $dark-gray-color;
        color: $gray-color;
        outline: 0;
        box-shadow: inset 0 0 0 transparent;
      }
      &.active {
        background-color: $dark-gray-color;
        color: $gray-color;
        box-shadow: 0 0 0 transparent;
      }
    }
  }
  & .sub-navbar-item.options {
    position: absolute;
    top: 0;
    left: 54px;
    & .sub-navbar-item.dropdown {
      display: inline-block;
      position: relative;
      & .btn {
        padding: 10px 30px;
      }
      &:nth-child(n + 1):after {
        content: '';
        position: absolute;
        width: 1px;
        height: 50%;
        top: 50%;
        right: -1px;
        background-color: #f9f9f9;
        transform: translateY(-50%);
      }
      & .caret {
        transform: rotate(90deg);
      }
      &.open {
        & .caret {
          transform: rotate(0deg);
        }
      }
      & .dropdown-menu {
        margin: 0;
        border: none;
        border-top: 2px solid $green-color;
        width: 100%;
        min-width: 0;
        padding: 0;

        &.dropdown-menu-list {
          padding: 4px;
        }

        & .dropdown-custom-item-header {
          margin: 0;
          background-color: $light-gray-color;
          border-bottom: 2px solid $gray-color;
          padding: 4px 10px;

          label {
            margin: 0;
          }
        }

        & .dropdown-custom-item-input {
          margin: 10px;
        }

        & .dropdown-custom-item:nth-child(4n + 1) input[type="checkbox"] {
          @include inputcolor($green-color);
          &:checked {
            @include inputchecked($green-color);
          }
        }
        & .dropdown-custom-item:nth-child(4n +2) input[type="checkbox"] {
          @include inputcolor($pink-color);
          &:checked {
            @include inputchecked($pink-color);
          }
        }
        & .dropdown-custom-item:nth-child(4n +3) input[type="checkbox"] {
          @include inputcolor($purple-color);
          &:checked {
            @include inputchecked($purple-color);
          }
        }
        & .dropdown-custom-item:nth-child(4n +4) input[type="checkbox"] {
          @include inputcolor($yellow-color);
          &:checked {
            @include inputchecked($yellow-color);
          }
        }
        & input[type="checkbox"] {
          -webkit-appearance: none;
          border: 3px solid;
          width: 10px;
          height: 10px;
          margin-right: 10px;
          &:focus {
            outline: 0;
          }
        }
        & label {
          font-weight: normal;
          cursor: pointer;
        }
      }
    }
  }
}

.dropdown-menu {
  & .dropdown-custom-item {
    margin: 4px 10px;
  }
}

.panel.property-card {
  border-color: #dcdcdc;
  position: relative;
  padding-bottom: 17px;
  & .panel-heading {
    background-color: #fff;
    & .panel-title {
      font-size: 0.9em;
      font-weight: bold;
    }
  }
  & .panel-body {
    &.image {
      position: relative;
      .property-price {
        position: absolute;
        top: 10px;
        left: 10px;
        font-size: 1.3em;
        color: #fff;
        text-shadow: 0 0 2px rgba(0, 0, 0, 0.7);
      }
      .property-city {
        position: absolute;
        bottom: 10px;
        right: 10px;
        font-size: 0.7em;
        color: #fff;
        text-shadow: 0 0 2px rgba(0, 0, 0, 0.7);
        text-align: right;
      }
    }
    &.property-show-more {
      position: absolute;
      width: 100%;
      left: 0;
      bottom: 0;
      .btn {
        font-size: 8px;
        padding: 3px 0;
        background-color: $green-color;
        border: none;
        &:focus,
        &:hover {
          outline: 0;
        }
      }
    }
    &.property-more {
      font-size: 0.8em;
      color: $dark-gray-color;
      & b {
        color: #333;
      }

      .text-center {
        b {
          &.primary-color {
            color: $green-color;
          }
        }
      }
    }
  }
  & .zero-padding {
    padding: 0;
  }
  & .list-group {
    color: $dark-gray-color;
  }
}

header {
  & .navbar-default {
    background-color: #fff;
    border: none;
    & .navbar-header .navbar-brand {
      background-color: $green-color;
      color: #fff;
      font-weight: bold;
      letter-spacing: 1px;
      text-align: center;
      font-size: 40px;
      height: auto;
      padding: 5px 30px;
      line-height: 1;
      & small {
        display: block;
        font-size: 12px;
        letter-spacing: 0;
        font-weight: normal;
      }
      &:hover {
        background-color: $green-color;
        color: #fff;
      }
    }
    & a {
      color: #ccc;
      & strong {
        color: #555;
      }
    }
    & .navbar-nav.navbar-right > li:not(.open) > a:hover,
    & .navbar-nav.navbar-right > .active > a:hover,
    & .navbar-nav.navbar-right > .active > a {
      background-color: transparent;
      color: #555;
      font-weight: bold;
      border-bottom: 4px solid $green-color;
      padding: 20px 15px 18px;
    }

    & .dropdown {

      &.open > a,
      &.open > a:focus {
        background-color: white;
        color: #555;
        font-weight: bold;
        padding: 20px 15px 18px;
      }

      & .dropdown-menu {
        border-top: 4px solid $green-color;

        & li > a {
          color: $dark-gray-color;
          &:hover,
          &.active {
            background-color: transparent;
            color: $green-color;
            font-weight: bold;
          }
        }
      }

      &.divider {
        position: relative;
        &:after {
          content: '';
          position: absolute;
          right: -1px;
          top: 50%;
          transform: translateY(-50%);
          height: 50%;
          width: 2px;
          background-color: $light-gray-color;
        }
      }
    }
    & .navbar-nav > li > a {
      padding: 21px 15px;
    }
    & .navbar-form {
      margin: 14px 0;
      & .input-group {
        & .input-group-btn .btn {
          border: none;
          color: #bbb;
          &:hover,
          &:focus {
            background-color: transparent;
            border: none;
            outline: 0;
            box-shadow: 0 0 0 transparent;
          }
        }
        & input {
          background-color: transparent;
          border: none;
          outline: 0;
          box-shadow: 0 0 0 transparent;
          width: 350px;
          max-width: 100%;
        }
      }

      .dropdown-menu {
        padding: 0;

        .uib-typeahead-match {
          a{
            padding: 10px 30px 10px 20px;
            strong {
              color: $gray-color;
            }
          }

          &.active a{
            background-color: $green-color;
            color: #fff;
            strong {
              color: #fff;
            }
          }
        }
      }
    }
  }
}

.gm-style .gm-style-iw {
  top: 0 !important;
  left: 0 !important;
  width: 100% !important;
  height: 150px;
  overflow: visible;
}

.location-popup {
  padding: 10px 35px 10px 170px;
  position: relative;
  height: 170px;
  min-width: 360px;
  cursor: pointer;
  & .pic {
    width: 150px;
    height: 150px;
    position: absolute;
    top: 10px;
    left: 10px;
    & img {
      position: absolute;
      width: 100%;
      height: 100%;
      top: 0;
      left: 0;
    }
  }
  & .address {
    font-weight: 500;
    line-height: 1.2;
    color: #555;
    & small {
      display: block;
      color: #ccc;
    }
  }
  .price {
    font-weight: 500;
    font-size: 20px;
    position: absolute;
    left: 170px;
    bottom: 30px;
    right: 10px;
  }
  .description-small {
    padding: 0;
    list-style: none;
    margin: 0;
    position: absolute;
    bottom: 10px;
    right: 10px;
    left: 170px;
    text-align: justify;
    height: 18px;
    overflow: hidden;
    font-size: 10px;
    & li {
      display: inline-block;
      color: #5d5d5d;
      & + li {
        border-left: 1px solid #5d5d5d;
        padding-left: 10px;
      }
    }
    &:after {
      content: '';
      display: inline-block;
      width: 100%;
      line-height: 0;
    }
  }
}

.sub-navbar .search-result {
  margin: 5px;
  padding: 0 10px;
  background-color: #ccc;
  position: relative;
  cursor: default;
  overflow: hidden;
  line-height: 28px;
  & .cross {
    position: absolute;
    top: 0;
    right: 0;
    width: 8px;
    height: 8px;
    margin: 1px;
    cursor: pointer;
    &:before,
    &:after {
      content: '';
      position: absolute;
      width: 100%;
      height: 1px;
      top: 50%;
      left: 0;
      background-color: #8f8f8f;
      transform: rotate(45deg);
    }
    &:after {
      transform: rotate(-45deg);
    }
  }
  &:hover .cross:before,
  &:hover .cross:after {
    background-color: #fff;
  }
}

.modal-full-description {
  position: fixed;
  top: 101px;
  left: 0;
  right: 0;
  bottom: 0;
  & .images {
    width: 50%;
    max-height: 100%;
    min-height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    overflow-y: auto;
    background-color: rgba(33,33,33,0.7);

    & ul {
      padding: 0;
      list-style: none;
      background-color: rgba(0,0,0,0.7);

      & li {
        width: calc(50% - 20px);
        float: left;
        margin: 10px;
        position: relative;
        height: 250px;
        overflow: hidden;
        & img {
          position: absolute;
          top: 50%;
          left: 50%;
          height: 100%;
          transform: translate(-50%, -50%);
          width: auto;
        }
      }
    }
  }
  & .description {
    position: absolute;
    width: 50%;
    height: 100%;
    right: 0;
    top: 0;
    background-color: #f9f9f9;
    padding: 30px 50px;
    overflow-y: auto;

    & .glyphicon-heart-empty {
      color: #838486;

      &.active {
        color: $green-color;
      }
    }

    & .address {
      font-size: 26px;
      line-height: 1.1;
      margin-bottom: 10px;
    }
    .title {
      font-size: 22px;
      margin-bottom: 10px;
      color: #44A184;
    }
    & .status {
      font-size: 20px;
      color: #838486;
    }
    & .price {
      font-size: 30px;
      margin-bottom: 20px;
    }
    & .basics ul {
      padding: 0;
      list-style: none;
      color: #44A184;
      font-weight: bold;
      border-bottom: 1px solid #44A184;
      font-size: 0;
      & li {
        font-size: 14px;
        display: inline-block;
        border-left: 2px solid #44A184;
        padding: 2px 10px;
        line-height: 1;
      }
    }
    & .cross {
      position: absolute;
      top: 0;
      right: 0;
      width: 30px;
      height: 30px;
      margin: 5px;
      cursor: pointer;
      &:before,
      &:after {
        content: '';
        position: absolute;
        width: 100%;
        height: 1px;
        top: 50%;
        left: 0;
        background-color: rgba(0,0,0,0.2);
        transform: rotate(45deg);
      }
      &:after {
        transform: rotate(-45deg);
      }
    }
    & ul.facts {
      -webkit-columns: 2;
      -moz-columns: 2;
      columns: 2;
    }
  }
}

.modal-propriety + .modal-backdrop {
  opacity: 0;
}

.uppercase {
  text-transform: uppercase;
}

.modal {
  &.modal-access {

    & .modal-close.cross {
      position: absolute;
      top: 0;
      right: 0;
      width: 20px;
      height: 20px;
      margin: 5px;
      cursor: pointer;
      &:before,
      &:after {
        content: '';
        position: absolute;
        width: 100%;
        height: 1px;
        top: 50%;
        left: 0;
        background-color: rgba(0,0,0,0.2);
        transform: rotate(45deg);
      }
      &:after {
        transform: rotate(-45deg);
      }
    }

    .modal-dialog {
      width: 370px;
      margin: 78px auto;

      .modal-footer {
        padding: 0;
      }
    }
  }
}

.cursor-pointer {
  cursor: pointer;
}

.slick-slider {
  .slick-track {

    .slick-slide {
      .panel {
        margin: 20px 5px;
      }
    }
  }
  .slick-prev:before,
  .slick-next:before {
    color: $green-color;
  }
}
